
/*	Copyright (C) G. Jespersen
	See Licence.txt.*/
  
#if !defined(AFX_LAVSETUPDLG_H__430C5264_A857_41A1_8A10_9CA3F9F1A482__INCLUDED_)
#define AFX_LAVSETUPDLG_H__430C5264_A857_41A1_8A10_9CA3F9F1A482__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// LavSetupDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CLavSetupDlg dialog

class CLavSetupDlg : public CDialog
{
// Construction
public:
	CLavSetupDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CLavSetupDlg)
	enum { IDD = IDD_LAV_SETUP_DLG };
	CButton	m_ctrlCheckWMA2;
	CButton	m_ctrlCheckWMAPRO;
	CButton	m_ctrlCheckWMAALL;
	CButton	m_ctrlCheckStereo;
	BOOL	m_bCheckWMA2;
	BOOL	m_bCheckWMAALL;
	BOOL	m_bCheckWMAPRO;
	BOOL	m_bCheckStereo;
	//}}AFX_DATA

	BOOL m_bChanged;


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLavSetupDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CLavSetupDlg)
	afx_msg void OnButtonDefaults();
	afx_msg void OnCheckStereo();
	afx_msg void OnCheckWma2();
	afx_msg void OnCheckWmaall();
	afx_msg void OnCheckWmapro();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LAVSETUPDLG_H__430C5264_A857_41A1_8A10_9CA3F9F1A482__INCLUDED_)
